Package pygccxml :: Package declarations :: Module matchers :: Class calldef_matcher_t

# type calldef_matcher_t

source code

           object --+
                    |
       matcher_base_t --+
                        |
    declaration_matcher_t --+
                            |
                           calldef_matcher_t

Known Subclasses:
  - operator_matcher_t

Instance of this class will match callable by next criteria:

- declaration_matcher_t criteria
- return type. Example: int_t or 'int'
- argument types

Instance Methods

__init__(self, name=None, return_type=None, arg_types=None, decl_type=None, header_dir=None, header_file=None) | source code

__call__(self, decl) | source code

__str__(self) | source code

Inherited from `declaration_matcher_t`: `check_name`, `is_full_name` Inherited from `matcher_base_t`: `__and__`, `__invert__`, `__or__`

Properties
Inherited from `declaration_matcher_t`: `decl_name_only`, `name`

Method Details

### __init__(self, name=None, return_type=None, arg_types=None, decl_type=None, header_dir=None, header_file=None)
(Constructor)

source code

Parameters:
  - `return_type` (string or instance of type_t derived class) - callable return type
  - `arg_types` (list) - list of function argument types. arg_types can contain. Any item within the list could be string or instance of type_t derived class. If you don't want some argument to participate in match you can put None. For example:

    `calldef_matcher_t( arg_types=[ 'int &', None ] )`

    will match all functions that takes 2 arguments, where the first one is reference to integer and second any

Overrides: matcher_base_t.__init__

### __call__(self, decl)
(Call operator)

source code

Overrides: matcher_base_t.__call__

### __str__(self)
(Informal representation operator)

source code

Overrides: matcher_base_t.__str__